Package org.apache.sling.discovery.base.connectors.ping

# Interface TopologyConnectorClientInformation

All Known Implementing Classes:
  `TopologyConnectorClient`

public interface TopologyConnectorClientInformation
provides information about a topology connector client

## Method Summary

Modifier and Type
Method
Description
`URL`
`getConnectorUrl()`
the endpoint url where this connector is connecting to
`String`
`getId()`
the unique id of this connector
`long`
`getLastPingSent()`
the unix-millis when the last heartbeat was sent
`String`
`getLastRequestEncoding()`
the Content-Encoding of the last request
`String`
`getLastResponseEncoding()`
the Content-Encoding of the last response
`int`
`getNextPingDue()`
the seconds until the next heartbeat is due
`String`
`getRemoteSlingId()`
the sling id of the remote end
`int`
`getStatusCode()`
return the http status code of the last post to the servlet, -1 if no post was ever done
`String`
`getStatusDetails()`
provides more details about connection failures
`boolean`
`isAutoStopped()`
SLING-3316 : whether or not this connector was auto-stopped
`boolean`
`isConnected()`
whether or not this connector was able to successfully connect
`boolean`
`representsLoop()`
whether or not the counterpart of this connector has detected a loop in the topology connectors

## Method Details

### getConnectorUrl

URL getConnectorUrl()
the endpoint url where this connector is connecting to

### getStatusCode

int getStatusCode()
return the http status code of the last post to the servlet, -1 if no post was ever done

### isAutoStopped

boolean isAutoStopped()
SLING-3316 : whether or not this connector was auto-stopped

### isConnected

boolean isConnected()
whether or not this connector was able to successfully connect

### getStatusDetails

String getStatusDetails()
provides more details about connection failures

### representsLoop

boolean representsLoop()
whether or not the counterpart of this connector has detected a loop in the topology connectors

### getRemoteSlingId

String getRemoteSlingId()
the sling id of the remote end

### getId

String getId()
the unique id of this connector

### getLastRequestEncoding

String getLastRequestEncoding()
the Content-Encoding of the last request

### getLastResponseEncoding

String getLastResponseEncoding()
the Content-Encoding of the last response

### getLastPingSent

long getLastPingSent()
the unix-millis when the last heartbeat was sent

### getNextPingDue

int getNextPingDue()
the seconds until the next heartbeat is due